# Couenne::powertriplet Class Reference

`#include <CouenneFunTriplets.hpp>`

Inheritance diagram for Couenne::powertriplet:

List of all members.

## Public Member Functions
| powertriplet (CouNumber exponent, bool signpower=false)
| Basic constructor.
virtual | ~powertriplet ()
| Destructor.
virtual CouNumber | F (CouNumber x)
virtual CouNumber | Fp (CouNumber x)
virtual CouNumber | Fpp (CouNumber x)
virtual CouNumber | FpInv (CouNumber x)
## Protected Attributes
CouNumber | exponent_
bool | issignpower_

## Detailed Description

Definition at line 72 of file CouenneFunTriplets.hpp.

## Constructor & Destructor Documentation

Couenne::powertriplet::powertriplet | ( | CouNumber | exponent,
|  | bool | signpower = `false` |
| ) |  |  | `[inline]`

Basic constructor.

Definition at line 82 of file CouenneFunTriplets.hpp.

virtual Couenne::powertriplet::~powertriplet | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 86 of file CouenneFunTriplets.hpp.

## Member Function Documentation

virtual CouNumber Couenne::powertriplet::F | ( | CouNumber | x | ) | `[inline, virtual]`

Implements Couenne::funtriplet.

Reimplemented in Couenne::kpowertriplet.

Definition at line 88 of file CouenneFunTriplets.hpp.

References exponent_, issignpower_, and Couenne::safe_pow().

virtual CouNumber Couenne::powertriplet::Fp | ( | CouNumber | x | ) | `[inline, virtual]`

Implements Couenne::funtriplet.

Reimplemented in Couenne::kpowertriplet.

Definition at line 91 of file CouenneFunTriplets.hpp.

References exponent_, issignpower_, and Couenne::safe_pow().

virtual CouNumber Couenne::powertriplet::Fpp | ( | CouNumber | x | ) | `[inline, virtual]`

Implements Couenne::funtriplet.

Reimplemented in Couenne::kpowertriplet.

Definition at line 94 of file CouenneFunTriplets.hpp.

References exponent_, issignpower_, and Couenne::safe_pow().

virtual CouNumber Couenne::powertriplet::FpInv | ( | CouNumber | x | ) | `[inline, virtual]`

Implements Couenne::funtriplet.

Reimplemented in Couenne::kpowertriplet.

Definition at line 97 of file CouenneFunTriplets.hpp.

References exponent_, issignpower_, and Couenne::safe_pow().

## Member Data Documentation

CouNumber Couenne::powertriplet::exponent_`[protected]`

Definition at line 76 of file CouenneFunTriplets.hpp.

Referenced by Couenne::kpowertriplet::F(), F(), Couenne::kpowertriplet::Fp(), Fp(), Couenne::kpowertriplet::FpInv(), FpInv(), Couenne::kpowertriplet::Fpp(), and Fpp().

bool Couenne::powertriplet::issignpower_`[protected]`

Definition at line 77 of file CouenneFunTriplets.hpp.

Referenced by F(), Fp(), FpInv(), and Fpp().

The documentation for this class was generated from the following file:

- CouenneFunTriplets.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines